Produtos
Buscar Produto
Retorna todos os detalhes de um produto específico, incluindo preço e configurações.
GET
/v1/products/:idBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brAuthorizations
bearer
Authorization
string · header · required
Cabeçalho de autenticação Bearer no formato Bearer {{token}} onde {{token}} é o seu token OAuth2.
Escopos requeridos
products/read
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Required | Id |
const url = 'https://sandbox.validapay.com.br/v1/products/:id';
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer {{token}}'
},
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200200
{
"productId": "prod_xxx",
"name": "Plano Premium",
"prices": [
{
"priceId": "price_xxx",
"amount": 99.9
}
]
}404404
{
"error": {
"message": "Produto não encontrado",
"code": "PRODUCT_NOT_FOUND",
"details": null,
"timestamp": "2026-07-14T21:39:36.322Z"
}
}